{{#if message}}
    <div class="query-header">
        {{#if query}}
            <span class="tag">
                Đang tìm kiếm: {{query}}
            </span>
        {{/if}}
    </div>
    <div class="content-center">
        <span>{{message}}</span>
        <a href="/product">Về trang quản lý sản phẩm</a>
    </div>
{{else}}
    <div class="header">
        <form action="/product/search" method="GET">
            <input type="text" placeholder="Tìm kiếm" class="search-product" name="search">
        </form>
        <div class="left-header">
            <button class="btn btn-primary btn-view-cart">Xem giỏ hàng</button>
            <button class="btn btn-primary btn-add-product">Thêm sản phẩm</button>
        </div>
    </div>
    <div class="query-header">
        {{#if query}}
            <span class="tag">
                Đang tìm kiếm: {{query}}
            </span>
        {{/if}}
    </div>
    <div class="table-responsive">
        <table class="table table-bordred table-striped">
            <thead>
                <th></th>
                <th>Tên sản phẩm</th>
                <th style="text-align: end;">Giá nhập<span> (đ)</span></th>
                <th style="text-align: end;">Giá bán<span> (đ)</span></th>
                <th style="text-align: end;">Lãi<span> (đ)</span></th>
                <th style="text-align: end;">Số lượng</th>
                <th>Danh mục</th>
                <th style="text-align: center;">Thêm giỏ hàng</th>
                <th style="text-align: center;">Sửa</th>
                <th style="text-align: center;">Xóa</th>
            </thead>
            <tbody>
                {{#each result}}
                    <tr class="item-product">
                        <td><input type="hidden" class="product-id" value="{{this.id}}"></td>
                        <td class="product-name">{{this.name}}</td>
                        <td class="product-price">{{formatThousandNumber this.price}}</td>
                        <td class="product-price-retail">{{formatThousandNumber this.price_retail}}</td>
                        <td class="product-profit">{{formatThousandNumber this.profit}}</td>
                        <td class="product-quantity">{{formatThousandNumber this.quantity}}</td>
                        <td class="product-category">{{this.category}}</td>
                        <td style="text-align: center;">
                            <a type="button" class="btn-add-item" >
                                <i class="fas fa-shopping-cart fa-1x"></i>
                            </a>
                        </td>
                        <td style="text-align: center;"><a href="/product/update/{{this.id}}"><i class="fas fa-pencil-alt btnUpdateProduct"></i></a></td>
                        <td style="text-align: center;"><a href="/product/delete/{{this.id}}"><i class="fas fa-trash btnDeleteCustomer"></i></a></td>
                    </tr>
                {{/each}}
            </tbody>
        </table>
    </div>
{{/if}}

